export const theme = {
  borders: {
    radiusSmall: 'var(--ds-border-radius-s)',
    radiusMedium: 'var(--ds-border-radius-m)',
    radiusLarge: 'var(--ds-border-radius-l)',
  },
  dropShadow: {
    shadow0: 'var(--ds-shadow-0)',
    shadow20: 'var(--ds-shadow-20)',
    shadow40: 'var(--ds-shadow-40)',
    shadow60: 'var(--ds-shadow-60)',
    shadow80: 'var(--ds-shadow-80)',
    shadow100: 'var(--ds-shadow-100)',
  },
  spacing: {
    space1: 'var(--ds-space-1)',
    space2: 'var(--ds-space-2)',
    space3: 'var(--ds-space-3)',
    space4: 'var(--ds-space-4)',
    space5: 'var(--ds-space-5)',
    space6: 'var(--ds-space-6)',
    space7: 'var(--ds-space-7)',
    space8: 'var(--ds-space-8)',
    space9: 'var(--ds-space-9)',
    space10: 'var(--ds-space-10)',
    space11: 'var(--ds-space-11)',
    space12: 'var(--ds-space-12)',
  },
  typography: {
    scale_xs: 'var(--ds-typography-scale-xs)',
    scale_s: 'var(--ds-typography-scale-s)',
    scale_m: 'var(--ds-typography-scale-m)',
    scale_l: 'var(--ds-typography-scale-l)',
    scale_xl: 'var(--ds-typography-scale-xl)',
    scale_2xl: 'var(--ds-typography-scale-2xl)',
    scale_3xl: 'var(--ds-typography-scale-3xl)',
    scale_4xl: 'var(--ds-typography-scale-4xl)',
    scale_5xl: 'var(--ds-typography-scale-5xl)',
  },
  colors: {
    brand: {
      primaryMain: 'var(--ds-color-brand-primary-main)',
      primaryLight: 'var(--ds-color-brand-primary-light)',
      primaryDark: 'var(--ds-color-brand-primary-dark)',
      primaryDarker: 'var(--ds-color-brand-primary-darker)',
      secondaryMain: 'var(--ds-color-brand-secondary-main)',
      secondaryLight: 'var(--ds-color-brand-secondary-light)',
      secondaryDark: 'var(--ds-color-brand-secondary-dark)',
      secondaryDarker: 'var(--ds-color-brand-secondary-darker)',
    },
    ui: {
      primary: 'var(--ds-color-ui-primary)',
      secondary: 'var(--ds-color-ui-secondary)',
      tertiary: 'var(--ds-color-ui-tertiary)',
      quaternary: 'var(--ds-color-ui-quaternary)',
      disabled: 'var(--ds-color-ui-disabled)',
      errorDefault: 'var(--ds-color-ui-error-default)',
      errorLight: 'var(--ds-color-ui-error-light)',
      errorDark: 'var(--ds-color-ui-error-dark)',
      successDefault: 'var(--ds-color-ui-success-default)',
      successLight: 'var(--ds-color-ui-success-light)',
      successDark: 'var(--ds-color-ui-success-dark)',
      alertDefault: 'var(--ds-color-ui-alert-default)',
      alertLight: 'var(--ds-color-ui-alert-light)',
      alertDark: 'var(--ds-color-ui-alert-dark)',
      background1: 'var(--ds-color-ui-background-1)',
      background2: 'var(--ds-color-ui-background-2)',
    },
    text: {
      primary: 'var(--ds-color-text-primary)',
      secondary: 'var(--ds-color-text-secondary)',
      disabled: 'var(--ds-color-text-disabled)',
      inverse: 'var(--ds-color-text-inverse)',
      error: 'var(--ds-color-text-error)',
      success: 'var(--ds-color-text-success)',
      link: 'var(--ds-color-text-link)',
    }
  }
};